## com.bbn.openmap.tools.icon
Class IconPartCollection

    java.lang.Object
      com.bbn.openmap.tools.icon.IconPartCollectionEntry
          com.bbn.openmap.tools.icon.IconPartCollection

Direct Known Subclasses:
  OpenMapAppPartCollection

public class IconPartCollection
extends IconPartCollectionEntry

A collection of IconParts, available by name.

Field Summary
`protected java.util.List` `collections`
`protected java.util.Map` `entryMap`

Fields inherited from class com.bbn.openmap.tools.icon.IconPartCollectionEntry
`description, name, part`

Constructor Summary
`protected` `IconPartCollection()`
`` `IconPartCollection(java.lang.String name, java.lang.String description)` Create a collection with a name and description.

Method Summary
`void` `add(IconPartCollectionEntry entry)` Add an entry to the collection.
`void` `clear()` Clear the entries in the collection.
`IconPart` `compose(java.util.List list)` Create an IconPart from the list of entry names.
`java.util.List` `composeDescription(java.util.List list)` Get a list of description Strings from a list of entry names.
`IconPart` `get(java.lang.String name)` Get an icon part for the given name.
`IconPart` `get(java.lang.String name, DrawingAttributes da)` Get an icon part for the given name set with the given rendering attributes.
`protected java.util.List` `getCollections()` Get the List of IconPartCollections that have been added.
`java.lang.String` `getDescription(java.lang.String name)` Get a description for the given name.
`protected java.util.Map` `getEntryMap()` Get the entry Map.
`IconPart` `getIconPart()`
`java.util.Set` `keySet()` Get the set of names for the entries of this collection.
`java.lang.Object` `remove(IconPartCollectionEntry entry)` Remove an entry from the collection.
`protected void` `setCollections(java.util.List list)` Set the List to be used for holding IconPartCollections added to this collection.
`protected void` `setEntryMap(java.util.Map map)` Set the entry Map.
`void` `setIconPart(IconPart part)`

Methods inherited from class com.bbn.openmap.tools.icon.IconPartCollectionEntry
`getDescription, getName, setDescription, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### entryMap

    protected java.util.Map entryMap

### collections

    protected java.util.List collections

Constructor Detail

### IconPartCollection

    protected IconPartCollection()

### IconPartCollection

    public IconPartCollection(java.lang.String name,
                              java.lang.String description)

  Create a collection with a name and description.

Method Detail

### add

    public void add(IconPartCollectionEntry entry)

  Add an entry to the collection.

### remove

    public java.lang.Object remove(IconPartCollectionEntry entry)

  Remove an entry from the collection.

### clear

    public void clear()

  Clear the entries in the collection.

### keySet

    public java.util.Set keySet()

  Get the set of names for the entries of this collection.

### get

    public IconPart get(java.lang.String name,
                        DrawingAttributes da)

  Get an icon part for the given name set with the given rendering attributes. Calls get(name);

### get

    public IconPart get(java.lang.String name)

  Get an icon part for the given name. The top level IconPartCollectionEntries are checked for the name. Will return null if no IconPart exists for the name. If the name is a collection name, null will be returned. However, before returning null, any IconPartCollection added to this collection will be checked, too, and any hits will be returned.

### getDescription

    public java.lang.String getDescription(java.lang.String name)

  Get a description for the given name. The top level IconPartCollectionEntries are checked for the name. Will return null if no entry exists for the name. If the name is a collection name, the description of the collection will be returned. Before returning null, any IconPartCollection added to this collection will be checked, too, and any hits will be returned.

### compose

    public IconPart compose(java.util.List list)

  Create an IconPart from the list of entry names.

  Parameters:
    `list` - a List of Strings, with the strings being names of entries into this collection.

### composeDescription

    public java.util.List composeDescription(java.util.List list)

  Get a list of description Strings from a list of entry names.

  Parameters:
    `list` - a List of Strings, with the strings being names of entries into this collection.
  Returns:
    a List of description Strings for the given list of names.

### setEntryMap

    protected void setEntryMap(java.util.Map map)

  Set the entry Map.

### getEntryMap

    protected java.util.Map getEntryMap()

  Get the entry Map.

### setCollections

    protected void setCollections(java.util.List list)

  Set the List to be used for holding IconPartCollections added to this collection.

### getCollections

    protected java.util.List getCollections()

  Get the List of IconPartCollections that have been added.

### setIconPart

    public void setIconPart(IconPart part)

  Overrides:
    `setIconPart` in class `IconPartCollectionEntry`

### getIconPart

    public IconPart getIconPart()

  Overrides:
    `getIconPart` in class `IconPartCollectionEntry`

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details